/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\IM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_IM_NEGATIVE_TIP_CF') 
 CREATE TABLE T_IM_NEGATIVE_TIP_CF (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(150) DEFAULT ' ' NOT NULL,
FBALTB NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDESP NVARCHAR(200) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FBILLSCOPE NVARCHAR(512) DEFAULT ' ' NOT NULL,
FCREATER BIGINT DEFAULT 0 NOT NULL,
FMODIFIER BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFYDATE DATETIME
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SBS_NEGATIVE_TIP_COLS')
 CREATE TABLE T_SBS_NEGATIVE_TIP_COLS (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INTEGER DEFAULT 0 NOT NULL,
FBALFIELDNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBALFIELD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSHOWPROP NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTIPCOL CHAR(1) DEFAULT '0' NOT NULL,
FBASEDATAPROP CHAR(1) DEFAULT '0' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_IM_NEGATIVE_TIP_CF_L')
 CREATE TABLE T_IM_NEGATIVE_TIP_CF_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(150) DEFAULT ' ' NOT NULL
);


/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\IM_table.sql **/
